LoNote更新到1.0了 [論壇 - Ubuntu 與工具程式及軟體推薦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

« 1 2 (3) 4 5 6 »


回覆: LoNote更新到1.0了

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1053 / 1756
MP : 4456 / 66650
EXP: 24
離線
剛剛 在 ubuntu 12.04 LTS Daily Build 版
重新安裝一次
一路順遂 沒有任何錯誤訊息
謝謝 雪凡
lonote 圖形界面





























安裝 LoNote 於 ubuntu 12.04 LTS Daily Build 版:
註:以下 aptitude 可以用 apt-get 取代

1. 安裝 Python3
sudo aptitude install python3

2.安裝 Qt
sudo aptitude install qt

3. 安裝 PyQt4
sudo aptitude install python3-dev libqt4-dev libxext-dev python-dbus g++

4. 下載 sip-4.13.1.tar.gz
tar -xzvf sip-4.13.1.tar.gz

5. 編譯 SIP
5-1. cd sip-4.13.1
5-2. python3 configure.py
5-3. make
5-4. sudo make install

6. 下載 PyQt-x11-gpl-4.9.tar.gz
tar -xzvf PyQt-x11-gpl-4.9.tar.gz

7. 編譯 PyQt4
7-1. cd PyQt-x11-gpl-4.9
7-2. python3 configure.py
7-3. make
7-4. sudo make install

8. 下載 lonote_1.1.2_all.deb

9. 安裝 lonote_1.1.2_all.deb
sudo dpkg -i lonote_1.1.2_all.deb

10. 安裝完成

11. 應用程式/辦公/lonote

12. 從 終端機
lonote

2012/1/21 0:37
應用擴展 工具箱
回覆: LoNote更新到1.0了
會員三級
註冊日期:
2008/12/10 7:19
所屬群組:
已註冊使用者
等級: 15
HP : 0 / 369
MP : 94 / 15076
EXP: 76
離線
辛苦了!感謝您的大力測試!好完整的回報內容。

話說回來,12.04版似乎有內建 python3-pyqt4 哦,我猜直接

sudo apt-get install python3-pyqt4


就行了,或許不用自己編譯?我沒有12.04的機器,只是猜啦……

另外既然提到終端機,lonote也有提供少許命令行介面,可以按

lonote -h


看到介面說明。

2012/1/21 10:14
應用擴展 工具箱
回覆: LoNote更新到1.0了

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1053 / 1756
MP : 4456 / 66650
EXP: 24
離線
12.04版似乎有內建 python3-pyqt4 哦

查了一下 :共有六個 與 python3-pyqt4 相關套件
python3-pyqt4 : Python3 bindings for Qt4
python3-pyqt4.qtsql : Python3 bindings for PyQt4's SQL module
python3-pyqt4.qtsql-dbg : Python3 bindings for PyQt4's SQL module (debug extension)
python3-pyqt4.phonon : Python3 bindings for Phonon
python3-pyqt4-dbg : Python3 bindings for Qt4 (debug extensions)
python3-pyqt4.phonon-dbg : Python3 bindings for Phonon (debug extensions)

請幫忙 查證 #21 的安裝套件 那些是可以刪除 由
sudo aptitude install python3-pyqt4
就可完全取代
我再來修正 #21 文章

2012/1/21 10:30
應用擴展 工具箱
回覆: LoNote更新到1.0了
會員三級
註冊日期:
2008/12/10 7:19
所屬群組:
已註冊使用者
等級: 15
HP : 0 / 369
MP : 94 / 15076
EXP: 76
離線
我估計只要安裝python3 + python3-pyqt4就行了,其他的全部都不用。

……這樣瞎猜真是傷腦筋,我還是去裝一下虛擬機實際試試好了。

2012/1/21 10:44
應用擴展 工具箱
回覆: LoNote更新到1.0了

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1053 / 1756
MP : 4456 / 66650
EXP: 24
離線
我估計只要安裝python3 + python3-pyqt4就行了,其他的全部都不用。

實證如下:

安裝 lonote_1.1.3_all.deb 於 ubuntu 12.04 LTS daily build 版 (安裝於 virtualbox 4.1.8 r75467)

1. sudo aptitude update
因 daily build 套件庫 每天有 大量 套件 上傳
所以需要 先 更新 可下載套件明細

2. sudo aptitude install python3
這個應該已預裝 再安裝一次 可以更新到最新版 (如果有最新版)

3. sudo aptitude install python3-pyqt4
均能順利安裝完成

以下實際安裝套件供你參考
下列的額外套件將被安裝:
libqt4-dbus libqt4-declarative libqt4-designer libqt4-help libqt4-network
libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql
libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtassistantclient4
libqtcore4 libqtgui4 libqtwebkit4 python3-sip qdbus
建議套件:
libqt4-declarative-folderlistmodel libqt4-declarative-gestures
libqt4-declarative-particles libqt4-declarative-shaders qt4-qmlviewer
libqt4-dev qt4-qtconfig python3-pyqt4-dbg
下列【新】套件將會被安裝:
libqt4-designer libqt4-help libqt4-scripttools libqt4-test
libqtassistantclient4 libqtwebkit4 python3-pyqt4 python3-sip
下列套件將會被升級:
libqt4-dbus libqt4-declarative libqt4-network libqt4-opengl libqt4-script
libqt4-sql libqt4-sql-mysql libqt4-svg libqt4-xml libqt4-xmlpatterns
libqtcore4 libqtgui4 qdbus


4. 下載 lonote_1.1.3_all.deb
sha1sum lonote_1.1.3_all.deb
a3d6f8973021de61b3b3c2ef48fb0a2676286c8f lonote_1.1.3_all.deb
下載完全

5. sudo dpkg -i lonote_1.1.3_all.deb
順利安裝完成

6. lonote -h

以下資料供你校正
Usage: lonote [Options] [FOLDER]
FOLDER = LoNote的筆記資料夾
如果您沒有使用任何參數,則會以預設路徑開啟LoNote主視窗

LoNote是一款採用Python3 + PyQt4的個人筆記軟體

Options:
--version show program's version number and exit
-h, --help show this help message and exit
-d, --default 使用預設(而非上次執行)的視窗配置進行瀏覽
-l LANGUAGE 將 LANGUAGE 設定為像「zh_TW」這樣的格式。 「default」表示使用系統語言, 「nolocale」表示
LoNote 沒有本地化支持(使用英語)
--lang 顯示支援的語言。
--example 打開範例筆記本


8. lonote --example
圖形界面





























9. 讚您一下 天天更新版本 這個精神值得學習

2012/1/21 17:36
應用擴展 工具箱
回覆: LoNote更新到1.0了
會員三級
註冊日期:
2008/12/10 7:19
所屬群組:
已註冊使用者
等級: 15
HP : 0 / 369
MP : 94 / 15076
EXP: 76
離線
哎呀,測試完成正想跑來回報,沒想到居然被搶先一步了XD

總之結論也是只要安裝 python3 和 python3-pyqt 就能運作。

更新版本方面……我自己也就一邊使用,有什麼不對勁當然就儘量修囉~

測試辛苦了!

2012/1/21 21:55
應用擴展 工具箱
回覆: LoNote更新到1.0了
版主
註冊日期:
2008/7/14 0:03
來自 螢幕的另一端
所屬群組:
網站管理員
已註冊使用者
討論區管理群
等級: 33
HP : 0 / 806
MP : 508 / 33904
EXP: 26
離線
跟您提兩點建議

1 一般軟體裡面都會有 about us 或 關於"LoNote"此軟體的介紹。
建議你可以把一些簡要的LoNote介紹寫在裡面,當然最重要的還是裡面要附上原作著的網址,讓使用者可以去你家朝拜一下,或是看一下更詳細的此軟體介紹內容。

2 若有不同的筆記,開啟時不是挺方便的,將來筆記多了的話,經常要切換不同的筆記時,就會有點小困擾了,若能夠有一個像書籤一樣的功能,就會比較方便了。

2012/1/21 22:27
應用擴展 工具箱
回覆: LoNote更新到1.0了
會員三級
註冊日期:
2008/12/10 7:19
所屬群組:
已註冊使用者
等級: 15
HP : 0 / 369
MP : 94 / 15076
EXP: 76
離線
謝謝建議。
你的說法讓我有了些新靈感,我要稍微想想研究一下看看。

2012/1/22 0:35
應用擴展 工具箱
回覆: LoNote更新到1.0了
會員四級
註冊日期:
2010/12/22 12:40
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 466
MP : 149 / 16280
EXP: 65
離線
昨天晚上搞到兩點多
還是沒能搞定python & qt
看來只能更新到12.04LTS Alpha了
已經把下載連結丟到板橋的NAS去抓了
又得等到年後回到那去才能動

2012/1/22 0:49
應用擴展 工具箱
回覆: LoNote更新到1.0了
會員三級
註冊日期:
2008/12/10 7:19
所屬群組:
已註冊使用者
等級: 15
HP : 0 / 369
MP : 94 / 15076
EXP: 76
離線
夢見,您期待的功能我在1.2.0版開始提供了。

雖然我猜您想要的應該只是其中的一個,不過反正我也同時想到了另一個。嗯,果然在不同層面上都很有用。而且還減少了面板按鍵數目……

總之,謝啦!

2012/1/22 15:54
應用擴展 工具箱

« 1 2 (3) 4 5 6 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.